curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/partner_clients/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "430001"
}
],
"properties": [
"<string>"
],
"propertiesWithHistory": [
"<string>"
],
"idProperty": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Récupérez plusieurs objets clients partenaires en une seule requête en spécifiant leurs ID. Ce point de terminaison est utile pour accéder efficacement aux données de plusieurs clients à la fois, en particulier lors de l’intégration avec des systèmes tiers.
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/partner_clients/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "430001"
}
],
"properties": [
"<string>"
],
"propertiesWithHistory": [
"<string>"
],
"idProperty": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Produits pris en charge
Portées requises
The access token received from the authorization server in the OAuth 2.0 flow.
S'il faut renvoyer uniquement les résultats qui ont été archivés.
Specifies the input for reading a batch of CRM objects, including arrays of object IDs, requested property names (with optional history), and an optional unique identifying property.
Afficher attributs enfants
Key-value pairs for setting properties for the new object.
Key-value pairs for setting properties for the new object and their histories.
Le nom d'une propriété dont les valeurs sont uniques pour cet objet.
successful operation
A public object batch response object
The timestamp when the batch processing was completed, in ISO 8601 format.
Afficher attributs enfants
The timestamp when the batch processing began, in ISO 8601 format.
The status of the batch processing request: "PENDING", "PROCESSING", "CANCELLED", or "COMPLETE"
CANCELED, COMPLETE, PENDING, PROCESSING Afficher attributs enfants
An object containing relevant links related to the batch request.
Afficher attributs enfants
The total number of errors that occurred during the batch operation.
The timestamp when the batch request was initially made, in ISO 8601 format.